  <?php
  session_start();
  ?>
  <script>

    $(function () {
//ready
//ready
$('.select2').select2();
$("#saldo").maskMoney({allowNegative: true, thousands:'.', decimal:',', affixesStay: false});

const Toast = Swal.mixin({
  toast: true,
  position: 'top-end',
  showConfirmButton: false,
  timer: 3000
});
$(document).ready(function(e) {
});
var wp_table = $("#list_bank_accounts").DataTable({
  dom: 'lBfrtip',
  buttons: [

  {
    extend: 'pdf',
    text: 'Imprimir Pdf',
    title: 'Reporte de Transacciones',
    //messageBottom: 'null',
    orientation: 'landscape',
    pageSize: 'A4',
    exportOptions: {
      columns: [1,2,3,4,5,6,7,8]
    },
    customize: function ( doc ) {
      doc.layout = 'lightHorizotalLines;'
      doc.defaultStyle.fontSize = 11;
      doc.styles.tableHeader.fontSize = 12;
      doc.styles.title.fontSize = 16;
      doc.content[1].table.widths = [
      '10%',
      '10%',
      '10%',
      '15%',
      '15%',
      '15%',
      '15%',
      '10%',
      ]
    }  
    //footer: true 
  },
  {
    extend: 'excel',
    title: 'Reporte de Transacciones',
    exportOptions: {
      columns: [1,2,3,4,5,6,7,8]
    },              
  }
  ],
  responsive: {
    details: {
      type: 'column'
    }
  },
  columnDefs: [ {
    className: 'control',
    orderable: false,
    targets:   0
  } ],
  order: [ 1, 'asc' ],
  autoWidth: true,
  bProcessing: false,
  bServerSide: false,
  bInfo: false,
  columns: [
  { data: 'id' , render: function(data, type, row){
    return cel(data, row.id);
  }},
  { data: 'fecha',className: "tdcentrado" },
  { data: 'hora',className: "tdcentrado" },
  { data: 'numero_o',className: "tdcentrado" },
  { data: 'monto_i',className: "tdcentrado" },
  { data: 'monto_e',className: "tdcentrado" },
  { data: 'tipo_t',className: "tdcentrado" },
  { data: 'motivo',className: "tdcentrado" },
  { data: 'monto_actual',className: "tdcentrado" },
  { data: 'archivo' , render: function(data, type, row){
    return archivo(data, row.transaccion);
  },className: "tdcentrado"},
  ],
});
//Funcion para consultar datos de usarios y llenar tabla//
function dataTable_init() {
  var id="<?php echo $_GET['id_balance'];?>";
  data = {'option':'<?php echo $decryp->encryptroute('view/reports/query_transactions')?>','id':id};
  $.post('<?php echo $url_admin;?>core/process.php', data)
  .done(function(resp){
   wp_table = $("#list_bank_accounts").DataTable();
   wp_table.clear();
   $.each(resp.datos, function (k, v) {
    wp_table.row.add(v);
  });
   wp_table.draw();
   wp_table.columns.adjust().responsive.recalc();
 }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
}
//Funcion status//
function archivo(wpid,transaccion) {
  if (transaccion !="1") {
  var archivo='<a href="<?php echo $url_admin;?>dist/bank_transactions_img/'+wpid+'" target="_blank">Archivo</a>'; 
  }else{
  var archivo=''; 
  }
  return archivo;
}
//Funcion status//
function name(wpid, wpactive) {
  var actions_cell='<span class="badge" style="background-color:'+wpid+';color:#fff;">'+wpactive+'</span> ';
  return actions_cell;
}
//Funcion para botones de accion//
function actions(wpid, wpactive,level) {
  actions_cell = '<button class="btn btn-primary edit_cat" data-data1="' + wpid + '" ><i class="fas fa-pencil-alt"></i></button> <button class="btn btn-danger delete" data-data1="' + wpid + '" ><i class="fa fa fa-trash"></i></button> <button class="btn btn-info edit_balance" data-data1="' + wpid + '" ><i class="fas fa-hand-holding-usd"></i></button>';
  return actions_cell;
}
//Campo vacio para responsive//
function cel(wpid, wpactive) {
  actions_cell = '';
  return actions_cell;
}

dataTable_init();
//Eliminar item a plan//
function data_basic(){
  var id="<?php echo $_GET['id_balance'];?>";
  data = {'option':'<?php echo $decryp->encryptroute('view/reports/query_account_balance')?>','id':id};
  $.post('<?php echo $url_admin;?>core/process.php', data)
  .done(function(resp){
    $.each(resp.datos, function (k, v) {
      $('#banco_cuenta').html('<span style="color: red">Banco: </span> <b>'+v.banco+'</b>');
      $('#titular_cuenta').html('<span style="color: red">Titular: </span> <b>'+v.titular+'</b>');
      $('#numero_cuenta').html('<span style="color: red">Numero de Cuenta: </span> <b>'+v.num_cuenta+'</b>');
      $('#saldo_actual').html('<span style="color: red">Saldo Actual: </span> <b>'+v.saldo+'</b>');
      $('#fecha_cuenta').html('<span style="color: red">Fecha: </span> <b>'+v.fecha+'</b>');
      $('#saldo_inicial').html('<span style="color: red">Saldo Inicial: </span> <b>'+v.saldo_inicial+'</b>');
      });
  }).fail( function(jqXHR, textStatus, errorThrown) {
   var resp=jqXHR.responseJSON;
   var status=jqXHR.status;
   if(status == 401){
    toastr.error(resp.msg);
    logout();
  }else{
   toastr.error(resp.msg);
 }
});
}
data_basic();
//END//
});
</script>